# CleanDups

Инструмент для поиска и удаления дублирующихся файлов на основе их содержимого.

## Установка

### Из PyPI

```
pip install cleandups
```

### Из исходников

```
git clone https://github.com/Flaymie/cleandups.git
cd cleandups
pip install .
```

## Использование

```
cleandups [директория] [опции]
```

### Опции

- `-r`, `--recursive` - рекурсивный поиск во всех поддиректориях
- `--hash {md5,sha256}` - выбор алгоритма хеширования (по умолчанию: md5)
- `-y`, `--yes` - неинтерактивный режим (автоматически удалять все дубликаты кроме первого)
- `--newest` - сохранять только самый новый файл из дубликатов (работает только с -y)
- `-t`, `--trash` - перемещать файлы в корзину вместо безвозвратного удаления

### Примеры

1. Сканирование текущей директории:
```
cleandups
```

2. Сканирование указанной директории:
```
cleandups /путь/к/директории
```

3. Рекурсивное сканирование с перемещением дубликатов в корзину:
```
cleandups -r -t
```

4. Автоматическое удаление дубликатов, сохраняя самый новый файл:
```
cleandups -y --newest
```

5. Использование SHA256 вместо MD5:
```
cleandups --hash sha256
```

## Как это работает

1. Скрипт сканирует файлы в указанной директории
2. Вычисляет хеш (MD5 или SHA256) для каждого файла
3. Находит файлы с одинаковыми хешами (дубликаты)
4. Предлагает варианты для удаления дубликатов
5. Удаляет выбранные файлы или перемещает их в корзину

## Предупреждение

Удаление файлов без опции `-t` является необратимым! Рекомендуется сначала использовать опцию `-t` для перемещения файлов в корзину.

## Лицензия

MIT 